## erlang 27.0.1+dfsg

=== debian/changelog ===
erlang (1:27.0.1+dfsg-3) experimental; urgency=medium

  * Correct the fix from 1:27.0.1+dfsg-2 for other architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Aug 2024 13:53:40 +0300

erlang (1:27.0.1+dfsg-2) experimental; urgency=medium

  * Fix FTBFS with GCC 14 on i386.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Aug 2024 12:19:23 +0300

erlang (1:27.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Jul 2024 09:24:05 +0300

erlang (1:27.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove no longer necessary patch which fixed FTBFS on s390x.
  * Use system-wide libraries from the libjs-jquery and libjs-jquery-ui
    packages for jinterface documentation.
  * Do not compress Markdown docs.
  * Fix description of erlang-doc package by removing mentions of PDF
    format.
  * Drop link from /usr/share/man to /usr/lib/erlang/man because Erlang
    no longer ships documentation in man format.
  * Add a patch which replaces external Javascript resource by a local one.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 May 2024 19:38:03 +0300

erlang (1:27.0~rc3+dfsg-4) experimental; urgency=medium

  * Remove an obsolete patch which enabled building Erlang with GCJ as
    a Java compiler.
  * Drop using non-standard ${erlang-base} substvar because the erlang-hipe
    package is dropped long time ago.
  * Clean debian/rules.
  * Actually move typer to the erlang-dialyzer package.
  * Enable building docs except for <nodoc> build profile.
  * Package edoc.1 and cdv.1 manpages.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 16 May 2024 11:24:58 +0300

erlang (1:27.0~rc3+dfsg-3) experimental; urgency=medium

  * Add a patch by John Högberg which makes Erlang 27 build on s390x.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Apr 2024 14:55:07 +0300

erlang (1:27.0~rc3+dfsg-2) experimental; urgency=medium

  * Move ronn from build-depends-indep to build-depends because it is used
    to build manpages which go into arcitecture-dependent packages.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Apr 2024 19:27:50 +0300

erlang (1:27.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Upload to experimental.
  * Bump standards version to 4.7.0.
  * Temporarily disable building HTML documentation until elixir-ex-doc is
    entered Debian.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Apr 2024 17:57:44 +0300

erlang (1:27.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Bump required autoconf version in build dependencies to 2.72.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Mar 2024 12:30:21 +0300

erlang (1:27.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Fix interdependencies for the binary packages.
  * Refresh patches, remove no longer necessary ones.
  * Remove erlang-erl-docgen package because it has been dropped upstream.
  * Remove erlang-manpages package because upstream no longer supports
    creating documentation in the form of manpages.
  * Fix placing examples from the sasl library to erlang-examples.
  * Drop doc-base indices.
  * Move typer to the erlang-dialyzer package.
  * Add links for observer's cdv crashdump viewer and edoc's edoc
    documentation generator to /usr/bin.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 03 Mar 2024 14:31:29 +0300

erlang (1:26.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 22 Dec 2023 15:35:54 +0300

erlang (1:26.1.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Oct 2023 17:51:39 +0300

erlang (1:26.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Jul 2023 12:25:40 +0300

erlang (1:26.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 08 Jun 2023 16:51:45 +0300

erlang (1:26.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 16 May 2023 19:00:41 +0300

erlang (1:26.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 14 Apr 2023 11:19:40 +0300

erlang (1:26.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Mar 2023 21:24:10 +0300

=== debian/control ===
Source: erlang
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: interpreters
Priority: optional
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), autoconf (>= 2.72), openssl, libssl-dev, m4,
 libncurses-dev, unixodbc-dev, bison, flex, ed, zlib1g-dev,
 libwxgtk3.2-dev, libwxgtk-webview3.2-dev, libx11-dev, dctrl-tools,
 libgl-dev, libglu-dev, ronn,
 libsctp-dev [linux-any], libsystemd-dev [linux-any], erlang-base:native <cross>
Build-Depends-Indep: elixir-ex-doc <!nodoc>, default-jdk | sun-java6-jdk
Build-Conflicts: autoconf2.13, libwxgtk2.4-dev, libwxgtk2.6-dev, libwxgtk2.8-dev, libwxgtk3.0-dev, libwxgtk3.0-gtk3-dev
Homepage: http://www.erlang.org/
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang.git

Package: erlang-base
Architecture: any
Multi-Arch: allowed
Depends: procps, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${libsctp:Version}, erlang-crypto (= ${binary:Version})
Suggests: erlang-tools (= ${binary:Version}),  erlang, erlang-doc
Conflicts: erlang (<< ${source:Version}), erlang-base-hipe, erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Replaces: erlang (<< ${source:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${source:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-typer (<< 1:20.0+dfsg), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Provides: erlang-abi (= 17.0), erlang-pcre (= 8.44), erlang-abi-17.0
Breaks: rabbitmq-server (<< 3.7.7)
Description: Erlang/OTP virtual machine and base applications
 This package contains the Erlang/OTP runtime implementation,
 and minimal set of Erlang applications:
  compiler - compiles Erlang code to byte-code;
  erts - the Erlang runtime system application;
  kernel - code necessary to run the Erlang runtime system itself;
  ose - code for Enea OSE operating system;
  sasl - the system architecture support libraries application;
  stdlib - modules for manipulating lists, strings, files etc.


Package: erlang-asn1
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP modules for ASN.1 support
 The Asn1 application contains modules with compile-time and run-time
 support for ASN.1 in Erlang/OTP.


Package: erlang-common-test
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-crypto (= ${binary:Version}), erlang-debugger (= ${binary:Version}), erlang-ftp (= ${binary:Version}), erlang-runtime-tools (= ${binary:Version}), erlang-snmp (= ${binary:Version}), erlang-ssh (= ${binary:Version}), erlang-syntax-tools (= ${binary:Version}), erlang-tools (= ${binary:Version}), erlang-xmerl (= ${binary:Version}), libjs-jquery, libjs-jquery-tablesorter, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP application for automated testing
 Common Test is a portable application for automated testing. It is
 suitable for black-box testing of target systems of any type (i.e.
 not necessarily implemented in Erlang), as well as for white-box
 testing of Erlang/OTP programs. Black-box testing is performed via
 standard interfaces (such as SNMP, HTTP, Corba, Telnet, etc) and,
 if required, via user specific interfaces (often called test ports).
 White-box testing of Erlang/OTP programs is easily accomplished by
 calling the target API functions directly from the test case functions.
 Common Test also integrates usage of the OTP cover tool for code
 coverage analysis of Erlang/OTP programs.


Package: erlang-crypto
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP cryptographic modules
 The Crypto Application provides functions for computation of message
 digests, encryption and decryption functions. It uses OpenSSL for
 actual calculations.


Package: erlang-debugger
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-wx (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP application for debugging and testing
 Debugger is a graphical tool which can be used for debugging and
 testing of Erlang programs. For example, breakpoints can be set,
 code can be single stepped and variable values can be inspected
 and modified.


Package: erlang-dialyzer
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-syntax-tools (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP discrepancy analyzer application
 Dialyzer is a static analysis tool that identifies software
 discrepancies such as type errors, unreachable code, unnecessary
 tests etc. in single Erlang modules or entire (sets of) applications.


Package: erlang-diameter
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-runtime-tools (= ${binary:Version}), erlang-ssl (= ${binary:Version}), erlang-syntax-tools (=${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP implementation of RFC 6733 protocol
 Interface with which a user creates a service that sends and receives
 messages using the Diameter protocol as defined in RFC 6733.


Package: erlang-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, libjs-jquery-ui, node-mermaid, ${misc:Depends}
Suggests: erlang:any
Conflicts: erlang-doc-html, erlang-base:any (<< 1:13.b.4), erlang-base-hipe:any
Replaces: erlang-doc-html
Provides: erlang-doc-html
Description: Erlang/OTP HTML documentation
 Documentation for the Erlang programming language and OTP
 library in HTML format.


Package: erlang-edoc
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-syntax-tools (=${binary:Version}), erlang-xmerl (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP module for generating documentation
 EDoc is the Erlang program documentation generator. Inspired by the
 Javadoc tool for the Java programming language, EDoc is adapted to
 the conventions of the Erlang world.


Package: erlang-eldap
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-asn1 (= ${binary:Version}), erlang-ssl (=${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP LDAP library
 Eldap is a module which provides a client API to the Lightweight
 Directory Access Protocol (LDAP).


Package: erlang-et
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), erlang-runtime-tools (= ${binary:Version}), erlang-wx (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP event tracer application
 The Event Tracer (ET) uses the built-in trace mechanism in Erlang
 and provides tools for collecting and examining trace data using GUI.


Package: erlang-eunit
Architecture: any
Multi-Arch: allowed
Depends: erlang-base (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP module for unit testing

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ROOT_DIR=$(shell pwd)

export HOME := $(ROOT_DIR)/debian

-include $(ROOT_DIR)/erts/vsn.mk
-include $(ROOT_DIR)/lib/diameter/vsn.mk
-include $(ROOT_DIR)/lib/erl_interface/vsn.mk
-include $(ROOT_DIR)/lib/jinterface/vsn.mk
-include $(ROOT_DIR)/lib/ic/vsn.mk
-include $(ROOT_DIR)/lib/tools/vsn.mk
-include $(ROOT_DIR)/lib/common_test/vsn.mk
-include $(ROOT_DIR)/lib/snmp/vsn.mk
-include $(ROOT_DIR)/lib/observer/vsn.mk
-include $(ROOT_DIR)/lib/edoc/vsn.mk

SOURCE_VERSION=$(shell dpkg-parsechangelog | sed -ne's!^Version: \(.*\)-.*!\1!p')

PCRE_MAJOR=$(shell cat erts/emulator/pcre/pcre.h | grep PCRE_MAJOR | sed -e's/.*\s\([0-9]\+\).*/\1/')
PCRE_MINOR=$(shell cat erts/emulator/pcre/pcre.h | grep PCRE_MINOR | sed -e's/.*\s\([0-9]\+\).*/\1/')
PCRE_VERSION=$(PCRE_MAJOR).$(PCRE_MINOR)
ABI_VERSION=17.0

MAN_DIR = $(ROOT_DIR)/debian/tmp/usr/share/man/man1

ifneq ($(findstring hurd,$(DEB_HOST_ARCH)),)
ESOCKET_OPT=--disable-esock
else
ESOCKET_OPT=--enable-esock
endif

ifneq ($(findstring hurd,$(DEB_HOST_ARCH)),)
KERNEL_POLL_OPT=--disable-kernel-poll
else
KERNEL_POLL_OPT=--enable-kernel-poll
endif

LIBSCTP=$(shell grep-status -s Depends -PX libsctp-dev |sed -e 's!.*\(libsctp[0-9]*\).*!\1!')
LIBSCTPDEP=$(shell grep-status -s Version -PX $(LIBSCTP) | sed -e's!^Version: \(.*\)-[^-]*!$(LIBSCTP) (>= \1)!')

ifeq ($(findstring hurd,$(DEB_HOST_ARCH))$(findstring bsd,$(DEB_HOST_ARCH)),)
CLOCK_GETTIME_OPT=--enable-clock-gettime
SYSTEMD_OPT=--enable-systemd
SCTP_OPT=--enable-sctp
else
CLOCK_GETTIME_OPT=
SYSTEMD_OPT=
SCTP_OPT=--disable-sctp
endif

ifeq ($(findstring i386,$(DEB_HOST_ARCH)),)
SSE2=
else
SSE2=-msse2
endif

ifeq ($(findstring armel,$(DEB_HOST_ARCH)),)
OPTIMIZATION=-O2
else
OPTIMIZATION=-O1
endif

ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),debug)
CFLAGS=-g $(OPTIMIZATION) -fno-strict-aliasing $(SSE2)
GEN_OPT_FLGS=$(OPTIMIZATION) -fno-strict-aliasing $(SSE2)
TYPE=debug
else
CFLAGS=-g $(OPTIMIZATION) -fno-strict-aliasing $(SSE2)
GEN_OPT_FLGS=$(OPTIMIZATION) -fno-strict-aliasing $(SSE2)
TYPE=
endif

JAVA_OPTIONS=-Xlint -source 1.8 -target 1.8

export LC_ALL := C.UTF-8

JOBS=$(shell nproc)

MANPAGE_DIRS = $(shell find $(ROOT_DIR) -not \( -wholename '*/.pc' -prune \) \
	       			-a \( -name '*_cmd.md' -or -name dialyzer.erl \) -exec dirname {} _cmd.md \; | tr "\n" ":")
MANPAGE_NAMES = $(shell find $(ROOT_DIR) -not \( -wholename '*/.pc' -prune \) \
				-a -name '*_cmd.md' -exec basename {} _cmd.md \;) dialyzer start_embedded
MANPAGES = $(MANPAGE_NAMES:%=$(MAN_DIR)/%.1)

vpath %_cmd.md $(MANPAGE_DIRS)

# manpages builds section 1 manual pages

manpages: manpages-stamp
manpages-stamp: $(MANPAGES)
	dh_testdir
	touch manpages-stamp

$(MAN_DIR):
	install -d $(MAN_DIR)

$(MAN_DIR)/start_embedded.1: $(MAN_DIR)/start.1
	sed -e's/START/START_EMBEDDED/' \
	    -e's/Bstart\([ \\]\)/Bstart_embedded\1/' <$< >$@

$(MAN_DIR)/dialyzer.1: lib/dialyzer/src/dialyzer.erl $(MAN_DIR)
	debian/scripts/fixmanpage $< 1 | ronn | sed -e's/start(1)/start_embedded(1)/' >$@

$(MAN_DIR)/%.1: %_cmd.md $(MAN_DIR)
	debian/scripts/fixmanpage $< 1 | ronn | sed -e's/start(1)/start_embedded(1)/' >$@

# Files generated from templates

SCRIPTS_SRC = $(wildcard debian/erlang-*.in) $(wildcard debian/scripts/*.in)
SCRIPTS = $(SCRIPTS_SRC:%.in=%)

$(SCRIPTS) debian/control: %: %.in debian/rules
	sed -e's/@VERSION@/$(VSN)/g' \
	    -e's/@SOURCE_VERSION@/$(SOURCE_VERSION)/g' \
	    -e's/@ABI_VERSION@/$(ABI_VERSION)/g' \
	    -e's/@PCRE_VERSION@/$(PCRE_VERSION)/g' \
	    -e's/@EI_VSN@/$(EI_VSN)/g' \
	    -e's/@JINTERFACE_VSN@/$(JINTERFACE_VSN)/g' \
	    -e's/@IC_VSN@/$(IC_VSN)/g' \
	    -e's/@COMMON_TEST_VSN@/$(COMMON_TEST_VSN)/g' \
	    -e's/@SNMP_VSN@/$(SNMP_VSN)/g' \
	    -e's/@DIAMETER_VSN@/$(DIAMETER_VSN)/g' \
	    -e's/@OBSERVER_VSN@/$(OBSERVER_VSN)/g' \
	    -e's/@EDOC_VSN@/$(EDOC_VSN)/g' \
	    -e's/@TOOLS_VSN@/$(TOOLS_VSN)/g' <$< >$@

# Building the package

clean:
	dh_testdir
	dh_testroot
	#
	[ ! -f Makefile ] || $(MAKE) -j $(JOBS) clean
	#
	# Remove installed erlang from debian/
	rm -rvf debian/erlang-docs
	#
	# Restore replaced configure, config.guess, and config.sub files
	for i in `find $(ROOT_DIR) -regex '.*config\(ure\|\.guess\|\.sub\)~'` ; do \
	    mv -v $$i $${i%%\~} ; \
	done
	#
	# Remove files, which were generated from templates
	rm -vf $(SCRIPTS)
	#
	# *.install were also generated on-the-fly
	rm -vf debian/*.install
	rm -vf debian/erlang-doc.links
	#
	rm -vf debian/AUTHORS
	#
	# Remove touched stamp files
	rm -vf *-stamp
	#
	dh_clean -Xtest.erl.orig

automake: automake-stamp
automake-stamp: debian/control
	dh_testdir
	#
	# Return error if there are known nonfree docs in upstream tarball
	# Return error if there are prebuilt binaries in upstream tarball
	err=0 ; \
	for fn in `find lib/*/doc -name standard -or -name archive` ; do \
	    err=1 ; \
	    echo Found directory $$fn with non-free docs in upstream. Please remove it. ; \
	done ; \
	if [ -f prebuilt.files ] ; then \
	    err=1 ; \
	    echo Found prebuilt binaries in upstream. Please remove them. ; \
	fi ; \
	if [ $$err = 1 ] ; then \
	    echo ; \
	    echo Use uscan --download to get the upstream tarball. ; \
	    echo ; \
	    false ; \
	fi
	#
	# Preserve configure scripts
	for i in `find $(ROOT_DIR) -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'configure'` ; do \
	    cp -vf $$i $$i~ ; \
	done
	#
	# Replace config.guess and config.sub by installed in /usr/share/misc.
	for i in `find $(ROOT_DIR) -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'config.guess'` ; do \
	    cp -vfb /usr/share/misc/config.guess $$i ; \
	done
	for i in `find $(ROOT_DIR) -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'config.sub'` ; do \
	    cp -vfb /usr/share/misc/config.sub $$i ; \
	done
	#
	# Regenerate configure scripts using autoconf
	./otp_build update_configure --no-commit
	#
	touch automake-stamp

configure: configure-stamp
configure-stamp: automake-stamp
	dh_testdir
	#
	CFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --libexecdir=/usr/bin \
		    --infodir=/usr/share/info \
		    --mandir=/usr/share/man \
		    --enable-hybrid-heap \
		    --enable-threads \
		    --enable-smp-support \
		    $(KERNEL_POLL_OPT) \
		    $(ESOCKET_OPT) \
		    $(SYSTEMD_OPT) \
		    $(SCTP_OPT) \
		    $(CLOCK_GETTIME_OPT) \
		    --enable-dynamic-ssl-lib \
		    --with-ssl-rpath=no \
		    --enable-ethread-pre-pentium4-compatibility \
		    --enable-shared-zlib \
		    --disable-builtin-zlib \
		    --without-ssl-zlib \
		    --disable-silent-rules
	#
	touch configure-stamp

boot: boot-stamp
boot-stamp: configure-stamp
	dh_testdir
	$(MAKE) -j $(JOBS) TYPE=$(TYPE) GEN_OPT_FLGS="$(GEN_OPT_FLGS)" JAVA_OPTIONS="$(JAVA_OPTIONS)"
	touch boot-stamp

install: install-stamp
install-stamp: boot-stamp
	dh_testdir
	#
	$(MAKE) -j $(JOBS) DESTDIR=$(ROOT_DIR)/debian/tmp TYPE=$(TYPE) install
	#
	# Replace ROOTDIR in "erl" and "start" scripts for real rootdir
	# If there's no erl or start then it's better to fail than silently continue
	for dir in debian/tmp/usr/lib/erlang/erts-$(VSN)/bin \
		   debian/tmp/usr/lib/erlang/bin; do \
	    for val in erl start; do \
		sed -i 's!ROOTDIR=.*!ROOTDIR=/usr/lib/erlang!' $${dir}/$${val}; \
	    done; \
	done
	#
	# Correct ERL_ROOT in RELEASES file
	sed 's!%ERL_ROOT%!/usr/lib/erlang!' \
	    debian/tmp/usr/lib/erlang/releases/RELEASES.src \
	    >debian/tmp/usr/lib/erlang/releases/RELEASES
	#
	# Get rid of windows cruft
	find debian/tmp -name *.bat -exec rm -v {} \;
	#
	# Fix permissions
	cp debian/tmp/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
	   debian/tmp/usr/lib/erlang/erts-$(VSN)/bin/start_erl
	chmod 755 debian/tmp/usr/lib/erlang/erts-$(VSN)/bin/start_erl

## erlang 27.1.2+dfsg

=== debian/changelog ===
erlang (1:27.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop link of typer to /usr/bin to avoid clashing with the typer package
    (closes: #1074166).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Dec 2024 15:10:38 +0300

=== debian/control ===
--- 
+++ 
@@ -118,7 +118,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery, libjs-jquery-ui, node-mermaid, ${misc:Depends}
+Depends: libjs-jquery, libjs-jquery-ui, ${misc:Depends}
 Suggests: erlang:any
 Conflicts: erlang-doc-html, erlang-base:any (<< 1:13.b.4), erlang-base-hipe:any
 Replaces: erlang-doc-html

## erlang 27.2+dfsg

=== debian/changelog ===
erlang (1:27.2+dfsg-3~exp1) experimental; urgency=medium

  * Disable SMP on mips64el.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 20 Jan 2025 23:04:28 +0300

erlang (1:27.2+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with ex-doc running on elixir 1.18 (closes: #1093329).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Jan 2025 19:45:12 +0300

erlang (1:27.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix FTBFS with ex-doc running on newer elixir (closes: #1090217).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2025 20:41:54 +0300

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,12 @@
 ABI_VERSION=17.0
 
 MAN_DIR = $(ROOT_DIR)/debian/tmp/usr/share/man/man1
+
+ifneq ($(findstring mips,$(DEB_HOST_ARCH)),)
+SMP_OPT=--disable-smp-support
+else
+SMP_OPT=--enable-smp-support
+endif
 
 ifneq ($(findstring hurd,$(DEB_HOST_ARCH)),)
 ESOCKET_OPT=--disable-esock
@@ -216,7 +222,7 @@
 		    --mandir=/usr/share/man \
 		    --enable-hybrid-heap \
 		    --enable-threads \
-		    --enable-smp-support \
+		    $(SMP_OPT) \
 		    $(KERNEL_POLL_OPT) \
 		    $(ESOCKET_OPT) \
 		    $(SYSTEMD_OPT) \
@@ -263,5 +269,3 @@
 	#
 	# Fix permissions
 	cp debian/tmp/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
-	   debian/tmp/usr/lib/erlang/erts-$(VSN)/bin/start_erl
-	chmod 755 debian/tmp/usr/lib/erlang/erts-$(VSN)/bin/start_erl

## erlang 27.2.4+dfsg

=== lib/mnesia/test/Makefile ===
#
# %CopyrightBegin%
# 
# Copyright Ericsson AB 1996-2024. All Rights Reserved.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# %CopyrightEnd%
#
include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Target Specs
# ----------------------------------------------------

MODULES= \
	mt \
	mnesia_SUITE \
	mnesia_bench_SUITE \
	mnesia_test_lib \
	mnesia_install_test \
	mnesia_registry_test \
	mnesia_config_test \
	mnesia_frag_test \
	mnesia_inconsistent_database_test \
	mnesia_config_backup \
	mnesia_config_event \
	mnesia_examples_test \
	mnesia_nice_coverage_test \
	mnesia_evil_coverage_test \
	mnesia_evil_backup \
	mnesia_trans_access_test \
	mnesia_dirty_access_test \
	mnesia_atomicity_test \
	mnesia_consistency_test \
	mnesia_majority_test \
	mnesia_isolation_test \
	mnesia_durability_test \
	mnesia_recovery_test \
	mnesia_qlc_test \
	mnesia_schema_recovery_test \
	mnesia_measure_test \
	mnesia_cost \
	mnesia_dbn_meters \
	ext_test \
	mnesia_index_plugin_test \
	mnesia_external_backend_test

DocExamplesDir := ../doc/src/

DocExampleModules =  \
	company \
	company_o \
	bup

DocExamplesHrl = \
	company.hrl \
	company_o.hrl

ExamplesDir := ../examples/

ExampleModules = \
	mnesia_meter \
	mnesia_tpcb

ERL_FILES= $(MODULES:%=%.erl) $(DocExampleModules:%=$(DocExamplesDir)/%.erl) $(ExampleModules:%=$(ExamplesDir)/%.erl)

HRL_FILES= mnesia_test_lib.hrl $(DocExamplesHrl:%=$(DocExamplesDir)/%)

TARGET_FILES= \
	$(MODULES:%=$(EBIN)/%.$(EMULATOR)) $(DocExampleModules:%=$(EBIN)/%.$(EMULATOR)) $(ExampleModules:%=$(EBIN)/%.$(EMULATOR))

INSTALL_PROGS= $(TARGET_FILES)

# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR = $(RELEASE_PATH)/mnesia_test

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
#ERL_COMPILE_FLAGS +=
ERL_COMPILE_FLAGS := $(filter-out +deterministic,$(ERL_COMPILE_FLAGS))

EBIN = .

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

tests $(TYPES): $(TARGET_FILES)

$(TARGET_FILES): $(HRL_FILES)

$(EBIN)/%.beam: $(DocExamplesDir)/%.erl
	$(ERLC) -bbeam $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

$(EBIN)/%.beam: $(ExamplesDir)/%.erl
	$(ERLC) -bbeam $(ERL_COMPILE_FLAGS) -o$(EBIN) $<

clean:
	rm -f $(TARGET_FILES)
	rm -f core

docs:

# ----------------------------------------------------
# Release Target
# ---------------------------------------------------- 
include $(ERL_TOP)/make/otp_release_targets.mk

release_spec: opt

release_tests_spec: opt
	$(INSTALL_DIR) "$(RELSYSDIR)"
	$(INSTALL_DATA) mnesia.spec mnesia_bench.spec mnesia.cover $(ERL_FILES) $(HRL_FILES) "$(RELSYSDIR)"
	$(INSTALL_SCRIPT) mt $(INSTALL_PROGS) "$(RELSYSDIR)"
#	chmod -R u+w "$(RELSYSDIR)"
#	@tar cf - *_SUITE_data | (cd "$(RELSYSDIR)"; tar xf -)

release_docs_spec:

=== debian/changelog ===
erlang (1:27.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Feb 2025 18:40:49 +0300

erlang (1:27.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Feb 2025 19:45:14 +0300

erlang (1:27.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 Feb 2025 11:38:21 +0300

erlang (1:27.2.1+dfsg-2) unstable; urgency=medium

  * Disable support for timestamps for year 2038 and above for hurd-i386.
  * Define _GNU_SOURCE for hurd-i386 and hurd-amd64.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Feb 2025 15:36:38 +0300

erlang (1:27.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop no longer supported configure options from debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Jan 2025 13:38:58 +0300

## erlang 27.3%2Bdfsg

=== lib/jinterface/Makefile ===
#
# %CopyrightBegin%
# 
# Copyright Ericsson AB 2000-2024. All Rights Reserved.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# %CopyrightEnd%
#
include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include vsn.mk
VSN=$(JINTERFACE_VSN)

# ----------------------------------------------------
# Common Macros
# ----------------------------------------------------

SUB_DIRECTORIES = java_src doc

SPECIAL_TARGETS = 

# ----------------------------------------------------
# Default Subdir Targets
# ----------------------------------------------------
include $(ERL_TOP)/make/otp_subdir.mk

include $(ERL_TOP)/make/app_targets.mk

=== lib/crypto/src/Makefile ===
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 1999-2022. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%
#
include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include ../vsn.mk
VSN=$(CRYPTO_VSN)

# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR = $(RELEASE_PATH)/lib/crypto-$(VSN)

# ----------------------------------------------------
# Common Macros
# ----------------------------------------------------

MODULES= \
	crypto \
	crypto_ec_curves

HRL_FILES=
ERL_FILES= $(MODULES:%=%.erl)

TARGET_FILES= $(MODULES:%=$(EBIN)/%.$(EMULATOR))

APP_FILE= crypto.app
APPUP_FILE= crypto.appup

APP_SRC= $(APP_FILE).src
APP_TARGET= $(EBIN)/$(APP_FILE)
APPUP_SRC= $(APPUP_FILE).src
APPUP_TARGET= $(EBIN)/$(APPUP_FILE)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -DCRYPTO_VSN=\"$(VSN)\" -Werror -I../include

# ----------------------------------------------------
# Targets
# ----------------------------------------------------

$(TYPES): $(TARGET_FILES) $(APP_TARGET) $(APPUP_TARGET)

clean:
	rm -f $(TARGET_FILES) $(APP_TARGET) $(APPUP_TARGET)
	rm -f errs core *~

$(APP_TARGET): $(APP_SRC) ../vsn.mk
	$(vsn_verbose)sed -e 's;%VSN%;$(VSN);' $< > $@

$(APPUP_TARGET): $(APPUP_SRC) ../vsn.mk
	$(vsn_verbose)sed -e 's;%VSN%;$(VSN);' $< > $@

docs:

# ----------------------------------------------------
# Release Target
# ----------------------------------------------------
include $(ERL_TOP)/make/otp_release_targets.mk

release_spec: opt
	$(INSTALL_DIR) "$(RELSYSDIR)/src"
	$(INSTALL_DATA) $(ERL_FILES) "$(RELSYSDIR)/src"
	$(INSTALL_DIR) "$(RELSYSDIR)/ebin"
	$(INSTALL_DATA) $(TARGET_FILES) $(APP_TARGET) \
		$(APPUP_TARGET) "$(RELSYSDIR)/ebin"

release_docs_spec:

=== lib/debugger/src/Makefile ===
#
# %CopyrightBegin%
# 
# Copyright Ericsson AB 1997-2022. All Rights Reserved.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# %CopyrightEnd%
#
include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include ../vsn.mk
VSN=$(DEBUGGER_VSN)

# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR = $(RELEASE_PATH)/lib/debugger-$(VSN)

# ----------------------------------------------------
# Common Macros
# ----------------------------------------------------

MODULES= \
	debugger \
	i \
	int \
	dbg_debugged \
	dbg_icmd \
	dbg_idb \
	dbg_ieval \
	dbg_iload \
	dbg_iserver \
	dbg_istk \
	dbg_wx_break \
	dbg_wx_break_win \
	dbg_wx_code \
	dbg_wx_filedialog_win \
	dbg_wx_interpret \
	dbg_wx_mon \
	dbg_wx_mon_win \
	dbg_wx_settings \
	dbg_wx_src_view \
	dbg_wx_trace \
	dbg_wx_trace_win \
	dbg_wx_view \
	dbg_wx_win \
	dbg_wx_winman


HRL_FILES=

INTERNAL_HRL_FILES= dbg_ieval.hrl dbg_wx_filedialog_win.hrl

ERL_FILES= $(MODULES:%=%.erl)

TARGET_FILES = $(MODULES:%=$(EBIN)/%.$(EMULATOR)) $(APP_TARGET) $(APPUP_TARGET)

#TOOLBOX_FILES= debugger.tool debugger.gif
#TARGET_TOOLBOX_FILES= $(EBIN)/debugger.tool $(EBIN)/debugger.gif

APP_FILE =  debugger.app
APPUP_FILE = debugger.appup

APP_SRC = $(APP_FILE).src
APPUP_SRC = $(APPUP_FILE).src

APP_TARGET = $(EBIN)/$(APP_FILE)
APPUP_TARGET = $(EBIN)/$(APPUP_FILE)

# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------
ERL_COMPILE_FLAGS += -Werror


# ----------------------------------------------------
# Targets
# ----------------------------------------------------

$(TYPES): $(TARGET_FILES) $(TARGET_TOOLBOX_FILES)

clean:
	rm -f $(TARGET_FILES) $(TARGET_TOOLBOX_FILES)
	rm -f errs core *~

$(APP_TARGET): $(APP_SRC) ../vsn.mk
	$(vsn_verbose)sed -e 's;%VSN%;$(VSN);' $< > $@

$(APPUP_TARGET): $(APPUP_SRC) ../vsn.mk
	$(vsn_verbose)sed -e 's;%VSN%;$(VSN);' $< > $@

docs:

# ----------------------------------------------------
# Special Targets
# ----------------------------------------------------

# ----------------------------------------------------
# Release Target
# ---------------------------------------------------- 
include $(ERL_TOP)/make/otp_release_targets.mk

release_spec: opt
	$(INSTALL_DIR) "$(RELSYSDIR)/src"
	$(INSTALL_DATA) $(ERL_FILES) $(INTERNAL_HRL_FILES) $(TOOLBOX_FILES) "$(RELSYSDIR)/src"
	$(INSTALL_DIR) "$(RELSYSDIR)/ebin"
	$(INSTALL_DATA) $(TARGET_FILES) $(TARGET_TOOLBOX_FILES) "$(RELSYSDIR)/ebin"

release_docs_spec:

=== lib/inets/doc/Makefile ===
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 2004-2024. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%
#
include $(ERL_TOP)/make/target.mk
include $(ERL_TOP)/make/$(TARGET)/otp.mk

# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include ../vsn.mk
VSN=$(INETS_VSN)
APPLICATION=inets

# ----------------------------------------------------
# Release Target
# ----------------------------------------------------
include $(ERL_TOP)/make/doc.mk
